tigase.jaxmpp.core.client.xmpp.stanzas

## Class StreamPacket

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.stanzas.StreamPacket

- All Implemented Interfaces:
    Element
  Direct Known Subclasses:
    Stanza

      public abstract class StreamPacket
      extends ElementWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamPacket(Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMPPStream` | `getXmppStream()`
    `void` | `setXmppStream(XMPPStream xmppStream)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamPacket

          public StreamPacket(Element element)

  - ### Method Detail

    - #### getXmppStream

          public XMPPStream getXmppStream()

    - #### setXmppStream

          public void setXmppStream(XMPPStream xmppStream)

Copyright © 2006–2020 Tigase. All rights reserved.